//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// June 27, 2000
//
#include "sasversion.h"

#include <Tracer.h>
#include <errstr.h>
#include <param.h>
#include <SasVersion.h>

#include <cstdlib>
#include <vector>
#include <string>

void sasversion () {

  std::vector<std::string> v;
  v.push_back("SAS_DIR");
  v.push_back("SAS_PATH");
  v.push_back("SAS_CCFPATH");
  v.push_back("SAS_CCF");
  v.push_back("SAS_ODF");
  v.push_back("SAS_MEMORY_MODEL");

  errstr << "XMM-Newton SAS release and build information:" << std::endl
	 << std::endl
	 << "SAS release: " << Info::Task::current()->release() << endl
	 << "Compiled on: " << SasVersion::sas_compilation_date << endl
	 << "Compiled by: " << SasVersion::sas_compilation_user << "@"
	 << SasVersion::sas_compilation_host << endl
	 << "Platform   : " << SasVersion::sas_platform
	 << std::endl;

  errstr
    << std::endl
    << "SAS-related environment variables that are set:" << std::endl
    << std::endl;

  for(unsigned k = 0; k < v.size(); k++){
    if(std::getenv(v[k].c_str())){
      errstr << v[k] << " = " << std::getenv(v[k].c_str()) << std::endl;
    }
  }

  errstr << Sas::message(Msg::App, Msg::Always);
}
